List child accounts

Returns a list of child accounts in the Tenable MSSP Portal.

A child account contains information about a customer instance of a Tenable product, including product license information and user-defined notes that can include valuable internal tracking or customer contact information.

Requires the Basic [16] user role. See Roles.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
uuid

The UUID of an account group. This parameter can be used to retrieve only child accounts in the specified account group.

f
array of strings

A filter condition in the format field:operator:value. For example, f=container_name:match:tenable.

Note: To retrieve a list of filters to use with this endpoint, see the GET /filters/mssp/accounts endpoint.

See the list below for additional examples of possible filter combinations:

  • uuid:neq:afe4fa83-8430-4f7b-a4dd-c25bcfd21317
  • licensed_assets:gte:222
  • license_utilization:lt:100
  • license_expiration_date:gt:90
  • licensed_apps:eq:was,lumin
  • region:eq:US
f
string

If multiple f parameters are present, specifies whether Tenable MSSP applies AND or OR to conditions. Supported values are and and or. If you omit this parameter when using multiple f parameters, Tenable applies AND by default.

string

Wildcard filter text. Wildcard search is a mechanism where multiple fields of a record are filtered against one specific filter string. If any one of the wildcard_fields' values matches against the filter string, then the record matches the wildcard filter. For a record to be returned, it must pass the wildcard filter (if there is one) AND the set of standard filters. For example, if w=wild&f=field1:match:one&f=field2:match:two&ft=or, the record would match if the value of any supported wildcard_fields contained wild, AND either field1's value contained one or field2's value contained two.

string

A comma-delimited subset of wildcard_fields to search when applying the wildcard filter. For example, field1,field2. If w is provided, but wf is not, then all wildcard_fields' values are searched against the wildcard filter text.

Note: To retrieve a list of fields that can be used as wild cards, see the GET /filters/mssp/accounts endpoint.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Returned if you specify invalid input parameters.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html